/*******************************************************************************
* @file     hv_bitfield.h
* @brief    High voltage module register bit-field definition.
 * @version  V1.8.0
 * @date     31-Dec-2021
 *
 * @note
 * Copyright (C) 2021 Spintrol Limited. All rights reserved.
*
* @attention
* THIS SOFTWARE JUST PROVIDES CUSTOMERS WITH CODING INFORMATION REGARDING
* THEIR PRODUCTS, WHICH AIMS AT SAVING TIME FOR THEM. SPINTROL SHALL NOT BE
* LIABLE FOR THE USE OF THE SOFTWARE. SPINTROL DOES NOT GUARANTEE THE
* CORRECTNESS OF THIS SOFTWARE AND RESERVES THE RIGHT TO MODIFY THE SOFTWARE
* WITHOUT NOTIFICATION.
*
******************************************************************************/


#ifndef HV_BITFIELD_H
#define HV_BITFIELD_H

#ifdef __cplusplus
extern "C" {
#endif




/********************************************************************************
*
* Module Name     HV
*
*
********************************************************************************/



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS0         VBATL
 *  @access
 *  @brief      Indicate VBAT is too low
 */
#define GLBSTS0_ALL_VBATL_Pos (0)
#define GLBSTS0_ALL_VBATL_Msk (0x1UL << GLBSTS0_ALL_VBATL_Pos)

typedef enum
{
    GLBSTS0_BIT_VBATL_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS0_BIT_VBATL_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS0_BIT_VBATL;

#define GLBSTS0_ALL_VBATL_NOT_OCCUR     ((0x0UL) << GLBSTS0_ALL_VBATL_Pos)
#define GLBSTS0_ALL_VBATL_OCCUR         ((0x1UL) << GLBSTS0_ALL_VBATL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS0         VBATH
 *  @access
 *  @brief      Indicate VBAT is too high
 */
#define GLBSTS0_ALL_VBATH_Pos (1)
#define GLBSTS0_ALL_VBATH_Msk (0x1UL << GLBSTS0_ALL_VBATH_Pos)

typedef enum
{
    GLBSTS0_BIT_VBATH_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS0_BIT_VBATH_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS0_BIT_VBATH;

#define GLBSTS0_ALL_VBATH_NOT_OCCUR     ((0x0UL) << GLBSTS0_ALL_VBATH_Pos)
#define GLBSTS0_ALL_VBATH_OCCUR         ((0x1UL) << GLBSTS0_ALL_VBATH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS0         VDDGL
 *  @access
 *  @brief      Indicate VDDG is too low
 */
#define GLBSTS0_ALL_VDDGL_Pos (2)
#define GLBSTS0_ALL_VDDGL_Msk (0x1UL << GLBSTS0_ALL_VDDGL_Pos)

typedef enum
{
    GLBSTS0_BIT_VDDGL_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS0_BIT_VDDGL_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS0_BIT_VDDGL;

#define GLBSTS0_ALL_VDDGL_NOT_OCCUR     ((0x0UL) << GLBSTS0_ALL_VDDGL_Pos)
#define GLBSTS0_ALL_VDDGL_OCCUR         ((0x1UL) << GLBSTS0_ALL_VDDGL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS0         VDDGH
 *  @access
 *  @brief      Indicate VDDG is too high
 */
#define GLBSTS0_ALL_VDDGH_Pos (3)
#define GLBSTS0_ALL_VDDGH_Msk (0x1UL << GLBSTS0_ALL_VDDGH_Pos)

typedef enum
{
    GLBSTS0_BIT_VDDGH_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS0_BIT_VDDGH_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS0_BIT_VDDGH;

#define GLBSTS0_ALL_VDDGH_NOT_OCCUR     ((0x0UL) << GLBSTS0_ALL_VDDGH_Pos)
#define GLBSTS0_ALL_VDDGH_OCCUR         ((0x1UL) << GLBSTS0_ALL_VDDGH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS0         OT0
 *  @access
 *  @brief      Indicate an over-temperature event 0
 */
#define GLBSTS0_ALL_OT0_Pos (4)
#define GLBSTS0_ALL_OT0_Msk (0x1UL << GLBSTS0_ALL_OT0_Pos)

typedef enum
{
    GLBSTS0_BIT_OT0_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS0_BIT_OT0_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS0_BIT_OT0;

#define GLBSTS0_ALL_OT0_NOT_OCCUR     ((0x0UL) << GLBSTS0_ALL_OT0_Pos)
#define GLBSTS0_ALL_OT0_OCCUR         ((0x1UL) << GLBSTS0_ALL_OT0_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS0         OT1
 *  @access
 *  @brief      Indicate an over-temperature event 1
 */
#define GLBSTS0_ALL_OT1_Pos (5)
#define GLBSTS0_ALL_OT1_Msk (0x1UL << GLBSTS0_ALL_OT1_Pos)

typedef enum
{
    GLBSTS0_BIT_OT1_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS0_BIT_OT1_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS0_BIT_OT1;

#define GLBSTS0_ALL_OT1_NOT_OCCUR     ((0x0UL) << GLBSTS0_ALL_OT1_Pos)
#define GLBSTS0_ALL_OT1_OCCUR         ((0x1UL) << GLBSTS0_ALL_OT1_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS0         CPRDY
 *  @access
 *  @brief      Indicate charge-pump is ready
 */
#define GLBSTS0_ALL_CPRDY_Pos (6)
#define GLBSTS0_ALL_CPRDY_Msk (0x1UL << GLBSTS0_ALL_CPRDY_Pos)

typedef enum
{
    GLBSTS0_BIT_CPRDY_NOT_READY     = 0,  /*!< Not ready   */
    GLBSTS0_BIT_CPRDY_READY         = 1,  /*!< Ready       */
} GLBSTS0_BIT_CPRDY;

#define GLBSTS0_ALL_CPRDY_NOT_READY     ((0x0UL) << GLBSTS0_ALL_CPRDY_Pos)
#define GLBSTS0_ALL_CPRDY_READY         ((0x1UL) << GLBSTS0_ALL_CPRDY_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS1         OCLU
 *  @access
 *  @brief      Indicate over-current on low-side of U phase
 */
#define GLBSTS1_ALL_OCLU_Pos (0)
#define GLBSTS1_ALL_OCLU_Msk (0x1UL << GLBSTS1_ALL_OCLU_Pos)

typedef enum
{
    GLBSTS1_BIT_OCLU_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS1_BIT_OCLU_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS1_BIT_OCLU;

#define GLBSTS1_ALL_OCLU_NOT_OCCUR     ((0x0UL) << GLBSTS1_ALL_OCLU_Pos)
#define GLBSTS1_ALL_OCLU_OCCUR         ((0x1UL) << GLBSTS1_ALL_OCLU_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS1         OCLV
 *  @access
 *  @brief      Indicate over-current on low-side of V phase
 */
#define GLBSTS1_ALL_OCLV_Pos (1)
#define GLBSTS1_ALL_OCLV_Msk (0x1UL << GLBSTS1_ALL_OCLV_Pos)

typedef enum
{
    GLBSTS1_BIT_OCLV_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS1_BIT_OCLV_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS1_BIT_OCLV;

#define GLBSTS1_ALL_OCLV_NOT_OCCUR     ((0x0UL) << GLBSTS1_ALL_OCLV_Pos)
#define GLBSTS1_ALL_OCLV_OCCUR         ((0x1UL) << GLBSTS1_ALL_OCLV_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS1         OCLW
 *  @access
 *  @brief      Indicate over-current on low-side of W phase
 */
#define GLBSTS1_ALL_OCLW_Pos (2)
#define GLBSTS1_ALL_OCLW_Msk (0x1UL << GLBSTS1_ALL_OCLW_Pos)

typedef enum
{
    GLBSTS1_BIT_OCLW_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS1_BIT_OCLW_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS1_BIT_OCLW;

#define GLBSTS1_ALL_OCLW_NOT_OCCUR     ((0x0UL) << GLBSTS1_ALL_OCLW_Pos)
#define GLBSTS1_ALL_OCLW_OCCUR         ((0x1UL) << GLBSTS1_ALL_OCLW_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS1         OCHU
 *  @access
 *  @brief      Indicate over-current on high-side of U phase
 */
#define GLBSTS1_ALL_OCHU_Pos (3)
#define GLBSTS1_ALL_OCHU_Msk (0x1UL << GLBSTS1_ALL_OCHU_Pos)

typedef enum
{
    GLBSTS1_BIT_OCHU_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS1_BIT_OCHU_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS1_BIT_OCHU;

#define GLBSTS1_ALL_OCHU_NOT_OCCUR     ((0x0UL) << GLBSTS1_ALL_OCHU_Pos)
#define GLBSTS1_ALL_OCHU_OCCUR         ((0x1UL) << GLBSTS1_ALL_OCHU_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS1         OCHV
 *  @access
 *  @brief      Indicate over-current on high-side of V phase
 */
#define GLBSTS1_ALL_OCHV_Pos (4)
#define GLBSTS1_ALL_OCHV_Msk (0x1UL << GLBSTS1_ALL_OCHV_Pos)

typedef enum
{
    GLBSTS1_BIT_OCHV_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS1_BIT_OCHV_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS1_BIT_OCHV;

#define GLBSTS1_ALL_OCHV_NOT_OCCUR     ((0x0UL) << GLBSTS1_ALL_OCHV_Pos)
#define GLBSTS1_ALL_OCHV_OCCUR         ((0x1UL) << GLBSTS1_ALL_OCHV_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTS1         OCHW
 *  @access
 *  @brief      Indicate over-current on high-side of W phase
 */
#define GLBSTS1_ALL_OCHW_Pos (5)
#define GLBSTS1_ALL_OCHW_Msk (0x1UL << GLBSTS1_ALL_OCHW_Pos)

typedef enum
{
    GLBSTS1_BIT_OCHW_NOT_OCCUR     = 0,  /*!< Not occurred   */
    GLBSTS1_BIT_OCHW_OCCUR         = 1,  /*!< Occurred       */
} GLBSTS1_BIT_OCHW;

#define GLBSTS1_ALL_OCHW_NOT_OCCUR     ((0x0UL) << GLBSTS1_ALL_OCHW_Pos)
#define GLBSTS1_ALL_OCHW_OCCUR         ((0x1UL) << GLBSTS1_ALL_OCHW_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR0      VBATL
 *  @access
 *  @brief      Clear GLBSTS0[VBATL]
 */
#define GLBSTSCLR0_ALL_VBATL_Pos (0)
#define GLBSTSCLR0_ALL_VBATL_Msk (0x1UL << GLBSTSCLR0_ALL_VBATL_Pos)

typedef enum
{
    GLBSTSCLR0_BIT_VBATL_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR0_BIT_VBATL_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR0_BIT_VBATL;

#define GLBSTSCLR0_ALL_VBATL_NO_EFFECT     ((0x0UL) << GLBSTSCLR0_ALL_VBATL_Pos)
#define GLBSTSCLR0_ALL_VBATL_CLEAR         ((0x1UL) << GLBSTSCLR0_ALL_VBATL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR0      VBATH
 *  @access
 *  @brief      Clear GLBSTS0[VBATH]
 */
#define GLBSTSCLR0_ALL_VBATH_Pos (1)
#define GLBSTSCLR0_ALL_VBATH_Msk (0x1UL << GLBSTSCLR0_ALL_VBATH_Pos)

typedef enum
{
    GLBSTSCLR0_BIT_VBATH_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR0_BIT_VBATH_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR0_BIT_VBATH;

#define GLBSTSCLR0_ALL_VBATH_NO_EFFECT     ((0x0UL) << GLBSTSCLR0_ALL_VBATH_Pos)
#define GLBSTSCLR0_ALL_VBATH_CLEAR         ((0x1UL) << GLBSTSCLR0_ALL_VBATH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR0      VDDGL
 *  @access
 *  @brief      Clear GLBSTS0[VDDGL]
 */
#define GLBSTSCLR0_ALL_VDDGL_Pos (2)
#define GLBSTSCLR0_ALL_VDDGL_Msk (0x1UL << GLBSTSCLR0_ALL_VDDGL_Pos)

typedef enum
{
    GLBSTSCLR0_BIT_VDDGL_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR0_BIT_VDDGL_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR0_BIT_VDDGL;

#define GLBSTSCLR0_ALL_VDDGL_NO_EFFECT     ((0x0UL) << GLBSTSCLR0_ALL_VDDGL_Pos)
#define GLBSTSCLR0_ALL_VDDGL_CLEAR         ((0x1UL) << GLBSTSCLR0_ALL_VDDGL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR0      VDDGH
 *  @access
 *  @brief      Clear GLBSTS0[VDDGH]
 */
#define GLBSTSCLR0_ALL_VDDGH_Pos (3)
#define GLBSTSCLR0_ALL_VDDGH_Msk (0x1UL << GLBSTSCLR0_ALL_VDDGH_Pos)

typedef enum
{
    GLBSTSCLR0_BIT_VDDGH_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR0_BIT_VDDGH_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR0_BIT_VDDGH;

#define GLBSTSCLR0_ALL_VDDGH_NO_EFFECT     ((0x0UL) << GLBSTSCLR0_ALL_VDDGH_Pos)
#define GLBSTSCLR0_ALL_VDDGH_CLEAR         ((0x1UL) << GLBSTSCLR0_ALL_VDDGH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR0      OT0
 *  @access
 *  @brief      Clear GLBSTS0[OT0]
 */
#define GLBSTSCLR0_ALL_OT0_Pos (4)
#define GLBSTSCLR0_ALL_OT0_Msk (0x1UL << GLBSTSCLR0_ALL_OT0_Pos)

typedef enum
{
    GLBSTSCLR0_BIT_OT0_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR0_BIT_OT0_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR0_BIT_OT0;

#define GLBSTSCLR0_ALL_OT0_NO_EFFECT     ((0x0UL) << GLBSTSCLR0_ALL_OT0_Pos)
#define GLBSTSCLR0_ALL_OT0_CLEAR         ((0x1UL) << GLBSTSCLR0_ALL_OT0_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR0      OT1
 *  @access
 *  @brief      Clear GLBSTS0[OT1]
 */
#define GLBSTSCLR0_ALL_OT1_Pos (5)
#define GLBSTSCLR0_ALL_OT1_Msk (0x1UL << GLBSTSCLR0_ALL_OT1_Pos)

typedef enum
{
    GLBSTSCLR0_BIT_OT1_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR0_BIT_OT1_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR0_BIT_OT1;

#define GLBSTSCLR0_ALL_OT1_NO_EFFECT     ((0x0UL) << GLBSTSCLR0_ALL_OT1_Pos)
#define GLBSTSCLR0_ALL_OT1_CLEAR         ((0x1UL) << GLBSTSCLR0_ALL_OT1_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR1      OCLU
 *  @access
 *  @brief      Clear GLBSTS1[OCLU]
 */
#define GLBSTSCLR1_ALL_OCLU_Pos (0)
#define GLBSTSCLR1_ALL_OCLU_Msk (0x1UL << GLBSTSCLR1_ALL_OCLU_Pos)

typedef enum
{
    GLBSTSCLR1_BIT_OCLU_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR1_BIT_OCLU_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR1_BIT_OCLU;

#define GLBSTSCLR1_ALL_OCLU_NO_EFFECT     ((0x0UL) << GLBSTSCLR1_ALL_OCLU_Pos)
#define GLBSTSCLR1_ALL_OCLU_CLEAR         ((0x1UL) << GLBSTSCLR1_ALL_OCLU_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR1      OCLV
 *  @access
 *  @brief      Clear GLBSTS1[OCLV]
 */
#define GLBSTSCLR1_ALL_OCLV_Pos (1)
#define GLBSTSCLR1_ALL_OCLV_Msk (0x1UL << GLBSTSCLR1_ALL_OCLV_Pos)

typedef enum
{
    GLBSTSCLR1_BIT_OCLV_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR1_BIT_OCLV_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR1_BIT_OCLV;

#define GLBSTSCLR1_ALL_OCLV_NO_EFFECT     ((0x0UL) << GLBSTSCLR1_ALL_OCLV_Pos)
#define GLBSTSCLR1_ALL_OCLV_CLEAR         ((0x1UL) << GLBSTSCLR1_ALL_OCLV_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR1      OCLW
 *  @access
 *  @brief      Clear GLBSTS1[OCLW]
 */
#define GLBSTSCLR1_ALL_OCLW_Pos (2)
#define GLBSTSCLR1_ALL_OCLW_Msk (0x1UL << GLBSTSCLR1_ALL_OCLW_Pos)

typedef enum
{
    GLBSTSCLR1_BIT_OCLW_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR1_BIT_OCLW_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR1_BIT_OCLW;

#define GLBSTSCLR1_ALL_OCLW_NO_EFFECT     ((0x0UL) << GLBSTSCLR1_ALL_OCLW_Pos)
#define GLBSTSCLR1_ALL_OCLW_CLEAR         ((0x1UL) << GLBSTSCLR1_ALL_OCLW_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR1      OCHU
 *  @access
 *  @brief      Clear GLBSTS1[OCHU]
 */
#define GLBSTSCLR1_ALL_OCHU_Pos (3)
#define GLBSTSCLR1_ALL_OCHU_Msk (0x1UL << GLBSTSCLR1_ALL_OCHU_Pos)

typedef enum
{
    GLBSTSCLR1_BIT_OCHU_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR1_BIT_OCHU_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR1_BIT_OCHU;

#define GLBSTSCLR1_ALL_OCHU_NO_EFFECT     ((0x0UL) << GLBSTSCLR1_ALL_OCHU_Pos)
#define GLBSTSCLR1_ALL_OCHU_CLEAR         ((0x1UL) << GLBSTSCLR1_ALL_OCHU_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR1      OCHV
 *  @access
 *  @brief      Clear GLBSTS1[OCHV]
 */
#define GLBSTSCLR1_ALL_OCHV_Pos (4)
#define GLBSTSCLR1_ALL_OCHV_Msk (0x1UL << GLBSTSCLR1_ALL_OCHV_Pos)

typedef enum
{
    GLBSTSCLR1_BIT_OCHV_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR1_BIT_OCHV_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR1_BIT_OCHV;

#define GLBSTSCLR1_ALL_OCHV_NO_EFFECT     ((0x0UL) << GLBSTSCLR1_ALL_OCHV_Pos)
#define GLBSTSCLR1_ALL_OCHV_CLEAR         ((0x1UL) << GLBSTSCLR1_ALL_OCHV_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              GLBSTSCLR1      OCHW
 *  @access
 *  @brief      Clear GLBSTS1[OCHW]
 */
#define GLBSTSCLR1_ALL_OCHW_Pos (5)
#define GLBSTSCLR1_ALL_OCHW_Msk (0x1UL << GLBSTSCLR1_ALL_OCHW_Pos)

typedef enum
{
    GLBSTSCLR1_BIT_OCHW_NO_EFFECT     = 0,  /*!< Write a 0 has no effect. Always read back 0   */
    GLBSTSCLR1_BIT_OCHW_CLEAR         = 1,  /*!< Write a 1 clears the bit                      */
} GLBSTSCLR1_BIT_OCHW;

#define GLBSTSCLR1_ALL_OCHW_NO_EFFECT     ((0x0UL) << GLBSTSCLR1_ALL_OCHW_Pos)
#define GLBSTSCLR1_ALL_OCHW_CLEAR         ((0x1UL) << GLBSTSCLR1_ALL_OCHW_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL0     VBATL
 *  @access
 *  @brief      Select VBAT-too-low as PDRVTZ0 event
 */
#define PDRVTZ0SEL0_ALL_VBATL_Pos (0)
#define PDRVTZ0SEL0_ALL_VBATL_Msk (0x1UL << PDRVTZ0SEL0_ALL_VBATL_Pos)

typedef enum
{
    PDRVTZ0SEL0_BIT_VBATL_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL0_BIT_VBATL_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL0_BIT_VBATL;

#define PDRVTZ0SEL0_ALL_VBATL_DISABLE     ((0x0UL) << PDRVTZ0SEL0_ALL_VBATL_Pos)
#define PDRVTZ0SEL0_ALL_VBATL_ENABLE      ((0x1UL) << PDRVTZ0SEL0_ALL_VBATL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL0     VBATH
 *  @access
 *  @brief      Select VBAT-too-high as PDRVTZ0 event
 */
#define PDRVTZ0SEL0_ALL_VBATH_Pos (1)
#define PDRVTZ0SEL0_ALL_VBATH_Msk (0x1UL << PDRVTZ0SEL0_ALL_VBATH_Pos)

typedef enum
{
    PDRVTZ0SEL0_BIT_VBATH_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL0_BIT_VBATH_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL0_BIT_VBATH;

#define PDRVTZ0SEL0_ALL_VBATH_DISABLE     ((0x0UL) << PDRVTZ0SEL0_ALL_VBATH_Pos)
#define PDRVTZ0SEL0_ALL_VBATH_ENABLE      ((0x1UL) << PDRVTZ0SEL0_ALL_VBATH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL0     VDDGL
 *  @access
 *  @brief      Select VDDG-too-low as PDRVTZ0 event
 */
#define PDRVTZ0SEL0_ALL_VDDGL_Pos (2)
#define PDRVTZ0SEL0_ALL_VDDGL_Msk (0x1UL << PDRVTZ0SEL0_ALL_VDDGL_Pos)

typedef enum
{
    PDRVTZ0SEL0_BIT_VDDGL_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL0_BIT_VDDGL_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL0_BIT_VDDGL;

#define PDRVTZ0SEL0_ALL_VDDGL_DISABLE     ((0x0UL) << PDRVTZ0SEL0_ALL_VDDGL_Pos)
#define PDRVTZ0SEL0_ALL_VDDGL_ENABLE      ((0x1UL) << PDRVTZ0SEL0_ALL_VDDGL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL0     VDDGH
 *  @access
 *  @brief      Select VDDG-too-high as PDRVTZ0 event
 */
#define PDRVTZ0SEL0_ALL_VDDGH_Pos (3)
#define PDRVTZ0SEL0_ALL_VDDGH_Msk (0x1UL << PDRVTZ0SEL0_ALL_VDDGH_Pos)

typedef enum
{
    PDRVTZ0SEL0_BIT_VDDGH_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL0_BIT_VDDGH_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL0_BIT_VDDGH;

#define PDRVTZ0SEL0_ALL_VDDGH_DISABLE     ((0x0UL) << PDRVTZ0SEL0_ALL_VDDGH_Pos)
#define PDRVTZ0SEL0_ALL_VDDGH_ENABLE      ((0x1UL) << PDRVTZ0SEL0_ALL_VDDGH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL0     OT0
 *  @access
 *  @brief      Select over-temperature event 0 as PDRVTZ0 event
 */
#define PDRVTZ0SEL0_ALL_OT0_Pos (4)
#define PDRVTZ0SEL0_ALL_OT0_Msk (0x1UL << PDRVTZ0SEL0_ALL_OT0_Pos)

typedef enum
{
    PDRVTZ0SEL0_BIT_OT0_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL0_BIT_OT0_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL0_BIT_OT0;

#define PDRVTZ0SEL0_ALL_OT0_DISABLE     ((0x0UL) << PDRVTZ0SEL0_ALL_OT0_Pos)
#define PDRVTZ0SEL0_ALL_OT0_ENABLE      ((0x1UL) << PDRVTZ0SEL0_ALL_OT0_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL0     OT1
 *  @access
 *  @brief      Select over-temperature event 1 as PDRVTZ0 event
 */
#define PDRVTZ0SEL0_ALL_OT1_Pos (5)
#define PDRVTZ0SEL0_ALL_OT1_Msk (0x1UL << PDRVTZ0SEL0_ALL_OT1_Pos)

typedef enum
{
    PDRVTZ0SEL0_BIT_OT1_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL0_BIT_OT1_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL0_BIT_OT1;

#define PDRVTZ0SEL0_ALL_OT1_DISABLE     ((0x0UL) << PDRVTZ0SEL0_ALL_OT1_Pos)
#define PDRVTZ0SEL0_ALL_OT1_ENABLE      ((0x1UL) << PDRVTZ0SEL0_ALL_OT1_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL1     OCLU
 *  @access
 *  @brief      Select over-current on low-side of U phase as PDRVTZ0 event
 */
#define PDRVTZ0SEL1_ALL_OCLU_Pos (0)
#define PDRVTZ0SEL1_ALL_OCLU_Msk (0x1UL << PDRVTZ0SEL1_ALL_OCLU_Pos)

typedef enum
{
    PDRVTZ0SEL1_BIT_OCLU_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL1_BIT_OCLU_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL1_BIT_OCLU;

#define PDRVTZ0SEL1_ALL_OCLU_DISABLE     ((0x0UL) << PDRVTZ0SEL1_ALL_OCLU_Pos)
#define PDRVTZ0SEL1_ALL_OCLU_ENABLE      ((0x1UL) << PDRVTZ0SEL1_ALL_OCLU_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL1     OCLV
 *  @access
 *  @brief      Select over-current on low-side of V phase as PDRVTZ0 event
 */
#define PDRVTZ0SEL1_ALL_OCLV_Pos (1)
#define PDRVTZ0SEL1_ALL_OCLV_Msk (0x1UL << PDRVTZ0SEL1_ALL_OCLV_Pos)

typedef enum
{
    PDRVTZ0SEL1_BIT_OCLV_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL1_BIT_OCLV_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL1_BIT_OCLV;

#define PDRVTZ0SEL1_ALL_OCLV_DISABLE     ((0x0UL) << PDRVTZ0SEL1_ALL_OCLV_Pos)
#define PDRVTZ0SEL1_ALL_OCLV_ENABLE      ((0x1UL) << PDRVTZ0SEL1_ALL_OCLV_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL1     OCLW
 *  @access
 *  @brief      Select over-current on low-side of W phase as PDRVTZ0 event
 */
#define PDRVTZ0SEL1_ALL_OCLW_Pos (2)
#define PDRVTZ0SEL1_ALL_OCLW_Msk (0x1UL << PDRVTZ0SEL1_ALL_OCLW_Pos)

typedef enum
{
    PDRVTZ0SEL1_BIT_OCLW_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL1_BIT_OCLW_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL1_BIT_OCLW;

#define PDRVTZ0SEL1_ALL_OCLW_DISABLE     ((0x0UL) << PDRVTZ0SEL1_ALL_OCLW_Pos)
#define PDRVTZ0SEL1_ALL_OCLW_ENABLE      ((0x1UL) << PDRVTZ0SEL1_ALL_OCLW_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL1     OCHU
 *  @access
 *  @brief      Select over-current on high-side of U phase as PDRVTZ0 event
 */
#define PDRVTZ0SEL1_ALL_OCHU_Pos (3)
#define PDRVTZ0SEL1_ALL_OCHU_Msk (0x1UL << PDRVTZ0SEL1_ALL_OCHU_Pos)

typedef enum
{
    PDRVTZ0SEL1_BIT_OCHU_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL1_BIT_OCHU_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL1_BIT_OCHU;

#define PDRVTZ0SEL1_ALL_OCHU_DISABLE     ((0x0UL) << PDRVTZ0SEL1_ALL_OCHU_Pos)
#define PDRVTZ0SEL1_ALL_OCHU_ENABLE      ((0x1UL) << PDRVTZ0SEL1_ALL_OCHU_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL1     OCHV
 *  @access
 *  @brief      Select over-current on high-side of V phase as PDRVTZ0 event
 */
#define PDRVTZ0SEL1_ALL_OCHV_Pos (4)
#define PDRVTZ0SEL1_ALL_OCHV_Msk (0x1UL << PDRVTZ0SEL1_ALL_OCHV_Pos)

typedef enum
{
    PDRVTZ0SEL1_BIT_OCHV_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL1_BIT_OCHV_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL1_BIT_OCHV;

#define PDRVTZ0SEL1_ALL_OCHV_DISABLE     ((0x0UL) << PDRVTZ0SEL1_ALL_OCHV_Pos)
#define PDRVTZ0SEL1_ALL_OCHV_ENABLE      ((0x1UL) << PDRVTZ0SEL1_ALL_OCHV_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ0SEL1     OCHW
 *  @access
 *  @brief      Select over-current on high-side of W phase as PDRVTZ0 event
 */
#define PDRVTZ0SEL1_ALL_OCHW_Pos (5)
#define PDRVTZ0SEL1_ALL_OCHW_Msk (0x1UL << PDRVTZ0SEL1_ALL_OCHW_Pos)

typedef enum
{
    PDRVTZ0SEL1_BIT_OCHW_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ0SEL1_BIT_OCHW_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ0SEL1_BIT_OCHW;

#define PDRVTZ0SEL1_ALL_OCHW_DISABLE     ((0x0UL) << PDRVTZ0SEL1_ALL_OCHW_Pos)
#define PDRVTZ0SEL1_ALL_OCHW_ENABLE      ((0x1UL) << PDRVTZ0SEL1_ALL_OCHW_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL0     VBATL
 *  @access
 *  @brief      Select VBAT-too-low as PDRVTZ1 event
 */
#define PDRVTZ1SEL0_ALL_VBATL_Pos (0)
#define PDRVTZ1SEL0_ALL_VBATL_Msk (0x1UL << PDRVTZ1SEL0_ALL_VBATL_Pos)

typedef enum
{
    PDRVTZ1SEL0_BIT_VBATL_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL0_BIT_VBATL_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL0_BIT_VBATL;

#define PDRVTZ1SEL0_ALL_VBATL_DISABLE     ((0x0UL) << PDRVTZ1SEL0_ALL_VBATL_Pos)
#define PDRVTZ1SEL0_ALL_VBATL_ENABLE      ((0x1UL) << PDRVTZ1SEL0_ALL_VBATL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL0     VBATH
 *  @access
 *  @brief      Select VBAT-too-high as PDRVTZ1 event
 */
#define PDRVTZ1SEL0_ALL_VBATH_Pos (1)
#define PDRVTZ1SEL0_ALL_VBATH_Msk (0x1UL << PDRVTZ1SEL0_ALL_VBATH_Pos)

typedef enum
{
    PDRVTZ1SEL0_BIT_VBATH_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL0_BIT_VBATH_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL0_BIT_VBATH;

#define PDRVTZ1SEL0_ALL_VBATH_DISABLE     ((0x0UL) << PDRVTZ1SEL0_ALL_VBATH_Pos)
#define PDRVTZ1SEL0_ALL_VBATH_ENABLE      ((0x1UL) << PDRVTZ1SEL0_ALL_VBATH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL0     VDDGL
 *  @access
 *  @brief      Select VDDG-too-low as PDRVTZ1 event
 */
#define PDRVTZ1SEL0_ALL_VDDGL_Pos (2)
#define PDRVTZ1SEL0_ALL_VDDGL_Msk (0x1UL << PDRVTZ1SEL0_ALL_VDDGL_Pos)

typedef enum
{
    PDRVTZ1SEL0_BIT_VDDGL_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL0_BIT_VDDGL_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL0_BIT_VDDGL;

#define PDRVTZ1SEL0_ALL_VDDGL_DISABLE     ((0x0UL) << PDRVTZ1SEL0_ALL_VDDGL_Pos)
#define PDRVTZ1SEL0_ALL_VDDGL_ENABLE      ((0x1UL) << PDRVTZ1SEL0_ALL_VDDGL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL0     VDDGH
 *  @access
 *  @brief      Select VDDG-too-high as PDRVTZ1 event
 */
#define PDRVTZ1SEL0_ALL_VDDGH_Pos (3)
#define PDRVTZ1SEL0_ALL_VDDGH_Msk (0x1UL << PDRVTZ1SEL0_ALL_VDDGH_Pos)

typedef enum
{
    PDRVTZ1SEL0_BIT_VDDGH_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL0_BIT_VDDGH_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL0_BIT_VDDGH;

#define PDRVTZ1SEL0_ALL_VDDGH_DISABLE     ((0x0UL) << PDRVTZ1SEL0_ALL_VDDGH_Pos)
#define PDRVTZ1SEL0_ALL_VDDGH_ENABLE      ((0x1UL) << PDRVTZ1SEL0_ALL_VDDGH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL0     OT0
 *  @access
 *  @brief      Select over-temperature event 0 as PDRVTZ1 event
 */
#define PDRVTZ1SEL0_ALL_OT0_Pos (4)
#define PDRVTZ1SEL0_ALL_OT0_Msk (0x1UL << PDRVTZ1SEL0_ALL_OT0_Pos)

typedef enum
{
    PDRVTZ1SEL0_BIT_OT0_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL0_BIT_OT0_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL0_BIT_OT0;

#define PDRVTZ1SEL0_ALL_OT0_DISABLE     ((0x0UL) << PDRVTZ1SEL0_ALL_OT0_Pos)
#define PDRVTZ1SEL0_ALL_OT0_ENABLE      ((0x1UL) << PDRVTZ1SEL0_ALL_OT0_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL0     OT1
 *  @access
 *  @brief      Select over-temperature event 1 as PDRVTZ1 event
 */
#define PDRVTZ1SEL0_ALL_OT1_Pos (5)
#define PDRVTZ1SEL0_ALL_OT1_Msk (0x1UL << PDRVTZ1SEL0_ALL_OT1_Pos)

typedef enum
{
    PDRVTZ1SEL0_BIT_OT1_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL0_BIT_OT1_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL0_BIT_OT1;

#define PDRVTZ1SEL0_ALL_OT1_DISABLE     ((0x0UL) << PDRVTZ1SEL0_ALL_OT1_Pos)
#define PDRVTZ1SEL0_ALL_OT1_ENABLE      ((0x1UL) << PDRVTZ1SEL0_ALL_OT1_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL1     OCLU
 *  @access
 *  @brief      Select over-current on low-side of U phase as PDRVTZ1 event
 */
#define PDRVTZ1SEL1_ALL_OCLU_Pos (0)
#define PDRVTZ1SEL1_ALL_OCLU_Msk (0x1UL << PDRVTZ1SEL1_ALL_OCLU_Pos)

typedef enum
{
    PDRVTZ1SEL1_BIT_OCLU_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL1_BIT_OCLU_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL1_BIT_OCLU;

#define PDRVTZ1SEL1_ALL_OCLU_DISABLE     ((0x0UL) << PDRVTZ1SEL1_ALL_OCLU_Pos)
#define PDRVTZ1SEL1_ALL_OCLU_ENABLE      ((0x1UL) << PDRVTZ1SEL1_ALL_OCLU_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL1     OCLV
 *  @access
 *  @brief      Select over-current on low-side of V phase as PDRVTZ1 event
 */
#define PDRVTZ1SEL1_ALL_OCLV_Pos (1)
#define PDRVTZ1SEL1_ALL_OCLV_Msk (0x1UL << PDRVTZ1SEL1_ALL_OCLV_Pos)

typedef enum
{
    PDRVTZ1SEL1_BIT_OCLV_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL1_BIT_OCLV_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL1_BIT_OCLV;

#define PDRVTZ1SEL1_ALL_OCLV_DISABLE     ((0x0UL) << PDRVTZ1SEL1_ALL_OCLV_Pos)
#define PDRVTZ1SEL1_ALL_OCLV_ENABLE      ((0x1UL) << PDRVTZ1SEL1_ALL_OCLV_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL1     OCLW
 *  @access
 *  @brief      Select over-current on low-side of W phase as PDRVTZ1 event
 */
#define PDRVTZ1SEL1_ALL_OCLW_Pos (2)
#define PDRVTZ1SEL1_ALL_OCLW_Msk (0x1UL << PDRVTZ1SEL1_ALL_OCLW_Pos)

typedef enum
{
    PDRVTZ1SEL1_BIT_OCLW_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL1_BIT_OCLW_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL1_BIT_OCLW;

#define PDRVTZ1SEL1_ALL_OCLW_DISABLE     ((0x0UL) << PDRVTZ1SEL1_ALL_OCLW_Pos)
#define PDRVTZ1SEL1_ALL_OCLW_ENABLE      ((0x1UL) << PDRVTZ1SEL1_ALL_OCLW_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL1     OCHU
 *  @access
 *  @brief      Select over-current on high-side of U phase as PDRVTZ1 event
 */
#define PDRVTZ1SEL1_ALL_OCHU_Pos (3)
#define PDRVTZ1SEL1_ALL_OCHU_Msk (0x1UL << PDRVTZ1SEL1_ALL_OCHU_Pos)

typedef enum
{
    PDRVTZ1SEL1_BIT_OCHU_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL1_BIT_OCHU_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL1_BIT_OCHU;

#define PDRVTZ1SEL1_ALL_OCHU_DISABLE     ((0x0UL) << PDRVTZ1SEL1_ALL_OCHU_Pos)
#define PDRVTZ1SEL1_ALL_OCHU_ENABLE      ((0x1UL) << PDRVTZ1SEL1_ALL_OCHU_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL1     OCHV
 *  @access
 *  @brief      Select over-current on high-side of V phase as PDRVTZ1 event
 */
#define PDRVTZ1SEL1_ALL_OCHV_Pos (4)
#define PDRVTZ1SEL1_ALL_OCHV_Msk (0x1UL << PDRVTZ1SEL1_ALL_OCHV_Pos)

typedef enum
{
    PDRVTZ1SEL1_BIT_OCHV_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL1_BIT_OCHV_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL1_BIT_OCHV;

#define PDRVTZ1SEL1_ALL_OCHV_DISABLE     ((0x0UL) << PDRVTZ1SEL1_ALL_OCHV_Pos)
#define PDRVTZ1SEL1_ALL_OCHV_ENABLE      ((0x1UL) << PDRVTZ1SEL1_ALL_OCHV_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVTZ1SEL1     OCHW
 *  @access
 *  @brief      Select over-current on high-side of W phase as PDRVTZ1 event
 */
#define PDRVTZ1SEL1_ALL_OCHW_Pos (5)
#define PDRVTZ1SEL1_ALL_OCHW_Msk (0x1UL << PDRVTZ1SEL1_ALL_OCHW_Pos)

typedef enum
{
    PDRVTZ1SEL1_BIT_OCHW_DISABLE     = 0,  /*!< Disable   */
    PDRVTZ1SEL1_BIT_OCHW_ENABLE      = 1,  /*!< Enable    */
} PDRVTZ1SEL1_BIT_OCHW;

#define PDRVTZ1SEL1_ALL_OCHW_DISABLE     ((0x0UL) << PDRVTZ1SEL1_ALL_OCHW_Pos)
#define PDRVTZ1SEL1_ALL_OCHW_ENABLE      ((0x1UL) << PDRVTZ1SEL1_ALL_OCHW_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BODVBATVTH      VMIN
 *  @access
 *  @brief      VBAT-too-low threshold select
 */
#define BODVBATVTH_ALL_VMIN_Pos (0)
#define BODVBATVTH_ALL_VMIN_Msk (0x7UL << BODVBATVTH_ALL_VMIN_Pos)

typedef enum
{
    BODVBATVTH_BIT_VMIN_5dot0_V      = 0,  /*!< Assert if Vbat<5.0V, de-assert if Vbat>5.2V     */
    BODVBATVTH_BIT_VMIN_6dot0_V      = 1,  /*!< Assert if Vbat<6.0V, de-assert if Vbat>6.3V     */
    BODVBATVTH_BIT_VMIN_7dot3_V      = 2,  /*!< Assert if Vbat<7.3V, de-assert if Vbat>7.6V     */
    BODVBATVTH_BIT_VMIN_9dot5_V      = 3,  /*!< Assert if Vbat<9.5V, de-assert if Vbat>9.8V     */
    BODVBATVTH_BIT_VMIN_12dot8_V     = 4,  /*!< Assert if Vbat<12.8V, de-assert if Vbat>13.5V   */
    BODVBATVTH_BIT_VMIN_16dot5_V     = 5,  /*!< Assert if Vbat<16.5V, de-assert if Vbat>17.5V   */
    BODVBATVTH_BIT_VMIN_17dot5_V     = 6,  /*!< Assert if Vbat<17.5V, de-assert if Vbat>19.9V   */
    BODVBATVTH_BIT_VMIN_23dot0_V     = 7,  /*!< Assert if Vbat<23.0V, de-assert if Vbat>25.0V   */
} BODVBATVTH_BIT_VMIN;

#define BODVBATVTH_ALL_VMIN_5dot0_V      ((0x0UL) << BODVBATVTH_ALL_VMIN_Pos)
#define BODVBATVTH_ALL_VMIN_6dot0_V      ((0x1UL) << BODVBATVTH_ALL_VMIN_Pos)
#define BODVBATVTH_ALL_VMIN_7dot3_V      ((0x2UL) << BODVBATVTH_ALL_VMIN_Pos)
#define BODVBATVTH_ALL_VMIN_9dot5_V      ((0x3UL) << BODVBATVTH_ALL_VMIN_Pos)
#define BODVBATVTH_ALL_VMIN_12dot8_V     ((0x4UL) << BODVBATVTH_ALL_VMIN_Pos)
#define BODVBATVTH_ALL_VMIN_16dot5_V     ((0x5UL) << BODVBATVTH_ALL_VMIN_Pos)
#define BODVBATVTH_ALL_VMIN_17dot5_V     ((0x6UL) << BODVBATVTH_ALL_VMIN_Pos)
#define BODVBATVTH_ALL_VMIN_23dot0_V     ((0x7UL) << BODVBATVTH_ALL_VMIN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BODVBATVTH      VMAX
 *  @access
 *  @brief      VBAT-too-high threshold
 */
#define BODVBATVTH_ALL_VMAX_Pos (4)
#define BODVBATVTH_ALL_VMAX_Msk (0x7UL << BODVBATVTH_ALL_VMAX_Pos)

typedef enum
{
    BODVBATVTH_BIT_VMAX_14dot3_V     = 0,  /*!< Assert if Vbat>14.3V, de-assert if Vbat<13.6V   */
    BODVBATVTH_BIT_VMAX_16dot8_V     = 1,  /*!< Assert if Vbat>16.8V, de-assert if Vbat<15.8V   */
    BODVBATVTH_BIT_VMAX_20dot2_V     = 2,  /*!< Assert if Vbat>20.2V, de-assert if Vbat<18.8V   */
    BODVBATVTH_BIT_VMAX_23dot4_V     = 3,  /*!< Assert if Vbat>23.4V, de-assert if Vbat<21.6V   */
    BODVBATVTH_BIT_VMAX_27dot8_V     = 4,  /*!< Assert if Vbat>27.8V, de-assert if Vbat<25.3V   */
    BODVBATVTH_BIT_VMAX_30dot6_V     = 5,  /*!< Assert if Vbat>30.6V, de-assert if Vbat<27.6V   */
    BODVBATVTH_BIT_VMAX_34dot2_V     = 6,  /*!< Assert if Vbat>34.2V, de-assert if Vbat<30.3V   */
    BODVBATVTH_BIT_VMAX_44dot4_V     = 7,  /*!< Assert if Vbat>44.4V, de-assert if Vbat<38.5V   */
} BODVBATVTH_BIT_VMAX;

#define BODVBATVTH_ALL_VMAX_14dot3_V     ((0x0UL) << BODVBATVTH_ALL_VMAX_Pos)
#define BODVBATVTH_ALL_VMAX_16dot8_V     ((0x1UL) << BODVBATVTH_ALL_VMAX_Pos)
#define BODVBATVTH_ALL_VMAX_20dot2_V     ((0x2UL) << BODVBATVTH_ALL_VMAX_Pos)
#define BODVBATVTH_ALL_VMAX_23dot4_V     ((0x3UL) << BODVBATVTH_ALL_VMAX_Pos)
#define BODVBATVTH_ALL_VMAX_27dot8_V     ((0x4UL) << BODVBATVTH_ALL_VMAX_Pos)
#define BODVBATVTH_ALL_VMAX_30dot6_V     ((0x5UL) << BODVBATVTH_ALL_VMAX_Pos)
#define BODVBATVTH_ALL_VMAX_34dot2_V     ((0x6UL) << BODVBATVTH_ALL_VMAX_Pos)
#define BODVBATVTH_ALL_VMAX_44dot4_V     ((0x7UL) << BODVBATVTH_ALL_VMAX_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BODVDDGVTH      VMIN
 *  @access
 *  @brief      VDDG-too-low threshold select
 */
#define BODVDDGVTH_ALL_VMIN_Pos (0)
#define BODVDDGVTH_ALL_VMIN_Msk (0x7UL << BODVDDGVTH_ALL_VMIN_Pos)

typedef enum
{
    BODVDDGVTH_BIT_VMIN_7dot7_V     = 0,  /*!< Assert if VDDG<7.7V, de-assert if VDDG>8.8V    */
    BODVDDGVTH_BIT_VMIN_8dot0_V     = 1,  /*!< Assert if VDDG<8.0V, de-assert if VDDG>9.2V    */
    BODVDDGVTH_BIT_VMIN_8dot2_V     = 2,  /*!< Assert if VDDG<8.2V, de-assert if VDDG>9.5V    */
    BODVDDGVTH_BIT_VMIN_8dot5_V     = 3,  /*!< Assert if VDDG<8.5V, de-assert if VDDG>9.9V    */
    BODVDDGVTH_BIT_VMIN_8dot8_V     = 4,  /*!< Assert if VDDG<8.8V, de-assert if VDDG>10.4V   */
    BODVDDGVTH_BIT_VMIN_9dot1_V     = 5,  /*!< Assert if VDDG<9.1V, de-assert if VDDG>10.8V   */
    BODVDDGVTH_BIT_VMIN_9dot5_V     = 6,  /*!< Assert if VDDG<9.5V, de-assert if VDDG>11.4V   */
    BODVDDGVTH_BIT_VMIN_9dot9_V     = 7,  /*!< Assert if VDDG<9.9V, de-assert if VDDG>11.9V   */
} BODVDDGVTH_BIT_VMIN;

#define BODVDDGVTH_ALL_VMIN_7dot7_V     ((0x0UL) << BODVDDGVTH_ALL_VMIN_Pos)
#define BODVDDGVTH_ALL_VMIN_8dot0_V     ((0x1UL) << BODVDDGVTH_ALL_VMIN_Pos)
#define BODVDDGVTH_ALL_VMIN_8dot2_V     ((0x2UL) << BODVDDGVTH_ALL_VMIN_Pos)
#define BODVDDGVTH_ALL_VMIN_8dot5_V     ((0x3UL) << BODVDDGVTH_ALL_VMIN_Pos)
#define BODVDDGVTH_ALL_VMIN_8dot8_V     ((0x4UL) << BODVDDGVTH_ALL_VMIN_Pos)
#define BODVDDGVTH_ALL_VMIN_9dot1_V     ((0x5UL) << BODVDDGVTH_ALL_VMIN_Pos)
#define BODVDDGVTH_ALL_VMIN_9dot5_V     ((0x6UL) << BODVDDGVTH_ALL_VMIN_Pos)
#define BODVDDGVTH_ALL_VMIN_9dot9_V     ((0x7UL) << BODVDDGVTH_ALL_VMIN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BODVDDGVTH      VMAX
 *  @access
 *  @brief      VDDG-too-high threshold select
 */
#define BODVDDGVTH_ALL_VMAX_Pos (4)
#define BODVDDGVTH_ALL_VMAX_Msk (0x7UL << BODVDDGVTH_ALL_VMAX_Pos)

typedef enum
{
    BODVDDGVTH_BIT_VMAX_14dot2_V     = 0,  /*!< Assert if VDDG>14.2V, de-assert if VDDG <12.6V   */
    BODVDDGVTH_BIT_VMAX_16dot2_V     = 1,  /*!< Assert if VDDG>16.2V, de-assert if VDDG <14.2V   */
    BODVDDGVTH_BIT_VMAX_17dot3_V     = 2,  /*!< Assert if VDDG>17.3V, de-assert if VDDG <16.0V   */
    BODVDDGVTH_BIT_VMAX_17dot6_V     = 3,  /*!< Assert if VDDG>17.6V, de-assert if VDDG <16.3V   */
    BODVDDGVTH_BIT_VMAX_18dot6_V     = 4,  /*!< Assert if VDDG>18.6V, de-assert if VDDG <17.2V   */
    BODVDDGVTH_BIT_VMAX_19dot0_V     = 5,  /*!< Assert if VDDG>19.0V, de-assert if VDDG <17.5V   */
    BODVDDGVTH_BIT_VMAX_19dot7_V     = 6,  /*!< Assert if VDDG>19.7V, de-assert if VDDG<18.2V    */
    BODVDDGVTH_BIT_VMAX_20dot2_V     = 7,  /*!< Assert if VDDG>20.2V, de-assert if VDDG <18.5V   */
} BODVDDGVTH_BIT_VMAX;

#define BODVDDGVTH_ALL_VMAX_14dot2_V     ((0x0UL) << BODVDDGVTH_ALL_VMAX_Pos)
#define BODVDDGVTH_ALL_VMAX_16dot2_V     ((0x1UL) << BODVDDGVTH_ALL_VMAX_Pos)
#define BODVDDGVTH_ALL_VMAX_17dot3_V     ((0x2UL) << BODVDDGVTH_ALL_VMAX_Pos)
#define BODVDDGVTH_ALL_VMAX_17dot6_V     ((0x3UL) << BODVDDGVTH_ALL_VMAX_Pos)
#define BODVDDGVTH_ALL_VMAX_18dot6_V     ((0x4UL) << BODVDDGVTH_ALL_VMAX_Pos)
#define BODVDDGVTH_ALL_VMAX_19dot0_V     ((0x5UL) << BODVDDGVTH_ALL_VMAX_Pos)
#define BODVDDGVTH_ALL_VMAX_19dot7_V     ((0x6UL) << BODVDDGVTH_ALL_VMAX_Pos)
#define BODVDDGVTH_ALL_VMAX_20dot2_V     ((0x7UL) << BODVDDGVTH_ALL_VMAX_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              OTTH            OT0
 *  @access
 *  @brief      Threshold for over-temperature event 0
 */
#define OTTH_ALL_OT0_Pos (0)
#define OTTH_ALL_OT0_Msk (0x7UL << OTTH_ALL_OT0_Pos)

typedef enum
{
    OTTH_BIT_OT0_102_DEGREE     = 0,  /*!< Assert if 102 degrees, deassert if 92 degrees    */
    OTTH_BIT_OT0_114_DEGREE     = 1,  /*!< Assert if 114 degrees, deassert if 101 degrees   */
    OTTH_BIT_OT0_123_DEGREE     = 2,  /*!< Assert if 123 degrees, deassert if 114 degrees   */
    OTTH_BIT_OT0_132_DEGREE     = 3,  /*!< Assert if 132 degrees, deassert if 122 degrees   */
    OTTH_BIT_OT0_140_DEGREE     = 4,  /*!< Assert if 140 degrees, deassert if 131 degrees   */
    OTTH_BIT_OT0_149_DEGREE     = 5,  /*!< Assert if 149 degrees, deassert if 139 degrees   */
    OTTH_BIT_OT0_157_DEGREE     = 6,  /*!< Assert if 157 degrees, deassert if 148 degrees   */
    OTTH_BIT_OT0_166_DEGREE     = 7,  /*!< Assert if 166 degrees, deassert if 157 degrees   */
} OTTH_BIT_OT0;

#define OTTH_ALL_OT0_102_DEGREE     ((0x0UL) << OTTH_ALL_OT0_Pos)
#define OTTH_ALL_OT0_114_DEGREE     ((0x1UL) << OTTH_ALL_OT0_Pos)
#define OTTH_ALL_OT0_123_DEGREE     ((0x2UL) << OTTH_ALL_OT0_Pos)
#define OTTH_ALL_OT0_132_DEGREE     ((0x3UL) << OTTH_ALL_OT0_Pos)
#define OTTH_ALL_OT0_140_DEGREE     ((0x4UL) << OTTH_ALL_OT0_Pos)
#define OTTH_ALL_OT0_149_DEGREE     ((0x5UL) << OTTH_ALL_OT0_Pos)
#define OTTH_ALL_OT0_157_DEGREE     ((0x6UL) << OTTH_ALL_OT0_Pos)
#define OTTH_ALL_OT0_166_DEGREE     ((0x7UL) << OTTH_ALL_OT0_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              OTTH            OT1
 *  @access
 *  @brief      Threshold for over-temperature event 1
 */
#define OTTH_ALL_OT1_Pos (4)
#define OTTH_ALL_OT1_Msk (0x7UL << OTTH_ALL_OT1_Pos)

typedef enum
{
    OTTH_BIT_OT1_102_DEGREE     = 0,  /*!< Assert if 102 degrees, deassert if 92 degrees    */
    OTTH_BIT_OT1_114_DEGREE     = 1,  /*!< Assert if 114 degrees, deassert if 101 degrees   */
    OTTH_BIT_OT1_123_DEGREE     = 2,  /*!< Assert if 123 degrees, deassert if 114 degrees   */
    OTTH_BIT_OT1_132_DEGREE     = 3,  /*!< Assert if 132 degrees, deassert if 122 degrees   */
    OTTH_BIT_OT1_140_DEGREE     = 4,  /*!< Assert if 140 degrees, deassert if 131 degrees   */
    OTTH_BIT_OT1_149_DEGREE     = 5,  /*!< Assert if 149 degrees, deassert if 139 degrees   */
    OTTH_BIT_OT1_157_DEGREE     = 6,  /*!< Assert if 157 degrees, deassert if 148 degrees   */
    OTTH_BIT_OT1_166_DEGREE     = 7,  /*!< Assert if 166 degrees, deassert if 157 degrees   */
} OTTH_BIT_OT1;

#define OTTH_ALL_OT1_102_DEGREE     ((0x0UL) << OTTH_ALL_OT1_Pos)
#define OTTH_ALL_OT1_114_DEGREE     ((0x1UL) << OTTH_ALL_OT1_Pos)
#define OTTH_ALL_OT1_123_DEGREE     ((0x2UL) << OTTH_ALL_OT1_Pos)
#define OTTH_ALL_OT1_132_DEGREE     ((0x3UL) << OTTH_ALL_OT1_Pos)
#define OTTH_ALL_OT1_140_DEGREE     ((0x4UL) << OTTH_ALL_OT1_Pos)
#define OTTH_ALL_OT1_149_DEGREE     ((0x5UL) << OTTH_ALL_OT1_Pos)
#define OTTH_ALL_OT1_157_DEGREE     ((0x6UL) << OTTH_ALL_OT1_Pos)
#define OTTH_ALL_OT1_166_DEGREE     ((0x7UL) << OTTH_ALL_OT1_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              SYSCTL          RSTDGWIN
 *  @access
 *  @brief      Pin reset deglitch for VDD5 domian
 */
#define SYSCTL_ALL_RSTDGWIN_Pos (0)
#define SYSCTL_ALL_RSTDGWIN_Msk (0x7UL << SYSCTL_ALL_RSTDGWIN_Pos)

typedef enum
{
    SYSCTL_BIT_RSTDGWIN_4dot2_US       = 0,  /*!< 4.2us     */
    SYSCTL_BIT_RSTDGWIN_97_US          = 1,  /*!< 97us      */
    SYSCTL_BIT_RSTDGWIN_394_US         = 2,  /*!< 394us     */
    SYSCTL_BIT_RSTDGWIN_1dot58_MS      = 3,  /*!< 1.58ms    */
    SYSCTL_BIT_RSTDGWIN_3dot17_MS      = 4,  /*!< 3.17ms    */
    SYSCTL_BIT_RSTDGWIN_6dot34_MS      = 5,  /*!< 6.34ms    */
    SYSCTL_BIT_RSTDGWIN_26dot68_MS     = 6,  /*!< 26.68ms   */
    SYSCTL_BIT_RSTDGWIN_102dot7_MS     = 7,  /*!< 102.7ms   */
} SYSCTL_BIT_RSTDGWIN;

#define SYSCTL_ALL_RSTDGWIN_4dot2_US       ((0x0UL) << SYSCTL_ALL_RSTDGWIN_Pos)
#define SYSCTL_ALL_RSTDGWIN_97_US          ((0x1UL) << SYSCTL_ALL_RSTDGWIN_Pos)
#define SYSCTL_ALL_RSTDGWIN_394_US         ((0x2UL) << SYSCTL_ALL_RSTDGWIN_Pos)
#define SYSCTL_ALL_RSTDGWIN_1dot58_MS      ((0x3UL) << SYSCTL_ALL_RSTDGWIN_Pos)
#define SYSCTL_ALL_RSTDGWIN_3dot17_MS      ((0x4UL) << SYSCTL_ALL_RSTDGWIN_Pos)
#define SYSCTL_ALL_RSTDGWIN_6dot34_MS      ((0x5UL) << SYSCTL_ALL_RSTDGWIN_Pos)
#define SYSCTL_ALL_RSTDGWIN_26dot68_MS     ((0x6UL) << SYSCTL_ALL_RSTDGWIN_Pos)
#define SYSCTL_ALL_RSTDGWIN_102dot7_MS     ((0x7UL) << SYSCTL_ALL_RSTDGWIN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              SYSCTL          VDDGSEL
 *  @access
 *  @brief      VDDG selection
 */
#define SYSCTL_ALL_VDDGSEL_Pos (3)
#define SYSCTL_ALL_VDDGSEL_Msk (0x7UL << SYSCTL_ALL_VDDGSEL_Pos)

typedef enum
{
    SYSCTL_BIT_VDDGSEL_5_V      = 0,  /*!< 5V                 */
    SYSCTL_BIT_VDDGSEL_6_V      = 1,  /*!< 6V                 */
    SYSCTL_BIT_VDDGSEL_9_V      = 2,  /*!< 9V                 */
    SYSCTL_BIT_VDDGSEL_10_V     = 3,  /*!< 10V                */
    SYSCTL_BIT_VDDGSEL_12_V     = 4,  /*!< 12V                */
    SYSCTL_BIT_VDDGSEL_15_V     = 5,  /*!< 15V                */
    SYSCTL_BIT_VDDGSEL_18_V     = 6,  /*!< 18V                */
    SYSCTL_BIT_VDDGSEL_20_V     = 7,  /*!< 20V (do not use)   */
} SYSCTL_BIT_VDDGSEL;

#define SYSCTL_ALL_VDDGSEL_5_V      ((0x0UL) << SYSCTL_ALL_VDDGSEL_Pos)
#define SYSCTL_ALL_VDDGSEL_6_V      ((0x1UL) << SYSCTL_ALL_VDDGSEL_Pos)
#define SYSCTL_ALL_VDDGSEL_9_V      ((0x2UL) << SYSCTL_ALL_VDDGSEL_Pos)
#define SYSCTL_ALL_VDDGSEL_10_V     ((0x3UL) << SYSCTL_ALL_VDDGSEL_Pos)
#define SYSCTL_ALL_VDDGSEL_12_V     ((0x4UL) << SYSCTL_ALL_VDDGSEL_Pos)
#define SYSCTL_ALL_VDDGSEL_15_V     ((0x5UL) << SYSCTL_ALL_VDDGSEL_Pos)
#define SYSCTL_ALL_VDDGSEL_18_V     ((0x6UL) << SYSCTL_ALL_VDDGSEL_Pos)
#define SYSCTL_ALL_VDDGSEL_20_V     ((0x7UL) << SYSCTL_ALL_VDDGSEL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              SYSCTL          VDDGRDYBYP
 *  @access
 *  @brief      Bypass LDO ready
 */
#define SYSCTL_ALL_VDDGRDYBYP_Pos (6)
#define SYSCTL_ALL_VDDGRDYBYP_Msk (0x1UL << SYSCTL_ALL_VDDGRDYBYP_Pos)

typedef enum
{
    SYSCTL_BIT_VDDGRDYBYP_NOT_BYPASS     = 0,  /*!< Not bypass   */
    SYSCTL_BIT_VDDGRDYBYP_BYPASS         = 1,  /*!< Bypass       */
} SYSCTL_BIT_VDDGRDYBYP;

#define SYSCTL_ALL_VDDGRDYBYP_NOT_BYPASS     ((0x0UL) << SYSCTL_ALL_VDDGRDYBYP_Pos)
#define SYSCTL_ALL_VDDGRDYBYP_BYPASS         ((0x1UL) << SYSCTL_ALL_VDDGRDYBYP_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              SYSCTL          VBATDIVEN
 *  @access
 *  @brief      High-speed VBAT divider enabled for fast ADC sampling (Vbat/20)
 */
#define SYSCTL_ALL_VBATDIVEN_Pos (7)
#define SYSCTL_ALL_VBATDIVEN_Msk (0x1UL << SYSCTL_ALL_VBATDIVEN_Pos)

typedef enum
{
    SYSCTL_BIT_VBATDIVEN_DISABLE     = 0,  /*!< Disable          */
    SYSCTL_BIT_VBATDIVEN_ENABLE      = 1,  /*!< Enable Vbat/20   */
} SYSCTL_BIT_VBATDIVEN;

#define SYSCTL_ALL_VBATDIVEN_DISABLE     ((0x0UL) << SYSCTL_ALL_VBATDIVEN_Pos)
#define SYSCTL_ALL_VBATDIVEN_ENABLE      ((0x1UL) << SYSCTL_ALL_VBATDIVEN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BUCKCTL         EN
 *  @access
 *  @brief      BUCK enable.
 *              This bit is writable only when CTLKEY=0x88
 */
#define BUCKCTL_ALL_EN_Pos (0)
#define BUCKCTL_ALL_EN_Msk (0x1UL << BUCKCTL_ALL_EN_Pos)

typedef enum
{
    BUCKCTL_BIT_EN_DISABLE     = 0,  /*!< Disable the BUCK   */
    BUCKCTL_BIT_EN_ENABLE      = 1,  /*!< Enable the BUCK    */
} BUCKCTL_BIT_EN;

#define BUCKCTL_ALL_EN_DISABLE     ((0x0UL) << BUCKCTL_ALL_EN_Pos)
#define BUCKCTL_ALL_EN_ENABLE      ((0x1UL) << BUCKCTL_ALL_EN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BUCKCTL         TZ0EN
 *  @access
 *  @brief      Enable TZ0 mask on BUCK enable so that the BUCK is self-disabled upon PDRVTZ0 event.
 *              This bit is writable only when CTLKEY=0x88
 */
#define BUCKCTL_ALL_TZ0EN_Pos (1)
#define BUCKCTL_ALL_TZ0EN_Msk (0x1UL << BUCKCTL_ALL_TZ0EN_Pos)

typedef enum
{
    BUCKCTL_BIT_TZ0EN_DISABLE     = 0,  /*!< PDRVTZ0 event will not affect the BUCK operation   */
    BUCKCTL_BIT_TZ0EN_ENABLE      = 1,  /*!< BUCK is immediatedly disabled upon PDRVTZ0 event   */
} BUCKCTL_BIT_TZ0EN;

#define BUCKCTL_ALL_TZ0EN_DISABLE     ((0x0UL) << BUCKCTL_ALL_TZ0EN_Pos)
#define BUCKCTL_ALL_TZ0EN_ENABLE      ((0x1UL) << BUCKCTL_ALL_TZ0EN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BUCKCTL         TZ1EN
 *  @access
 *  @brief      Enable TZ1 mask on BUCK enable so that the BUCK is self-disabled upon PDRVTZ1 event
 *              This bit is writable only when CTLKEY=0x88
 */
#define BUCKCTL_ALL_TZ1EN_Pos (2)
#define BUCKCTL_ALL_TZ1EN_Msk (0x1UL << BUCKCTL_ALL_TZ1EN_Pos)

typedef enum
{
    BUCKCTL_BIT_TZ1EN_DISABLE     = 0,  /*!< PDRVTZ1 event will not affect the BUCK operation   */
    BUCKCTL_BIT_TZ1EN_ENABLE      = 1,  /*!< BUCK is immediatedly disabled upon PDRVTZ1 event   */
} BUCKCTL_BIT_TZ1EN;

#define BUCKCTL_ALL_TZ1EN_DISABLE     ((0x0UL) << BUCKCTL_ALL_TZ1EN_Pos)
#define BUCKCTL_ALL_TZ1EN_ENABLE      ((0x1UL) << BUCKCTL_ALL_TZ1EN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BUCKCTL         OVPROTEN
 *  @access
 *  @brief      BUCK output (VDD33) over-voltage protection enable
 */
#define BUCKCTL_ALL_OVPROTEN_Pos (3)
#define BUCKCTL_ALL_OVPROTEN_Msk (0x1UL << BUCKCTL_ALL_OVPROTEN_Pos)

typedef enum
{
    BUCKCTL_BIT_OVPROTEN_DISABLE     = 0,  /*!< Disable over-voltage protection   */
    BUCKCTL_BIT_OVPROTEN_ENABLE      = 1,  /*!< Enable over-voltage protection    */
} BUCKCTL_BIT_OVPROTEN;

#define BUCKCTL_ALL_OVPROTEN_DISABLE     ((0x0UL) << BUCKCTL_ALL_OVPROTEN_Pos)
#define BUCKCTL_ALL_OVPROTEN_ENABLE      ((0x1UL) << BUCKCTL_ALL_OVPROTEN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BUCKCTL         LOWPWREN
 *  @access
 *  @brief      Low-power enable in PFM mode
 */
#define BUCKCTL_ALL_LOWPWREN_Pos (4)
#define BUCKCTL_ALL_LOWPWREN_Msk (0x1UL << BUCKCTL_ALL_LOWPWREN_Pos)

typedef enum
{
    BUCKCTL_BIT_LOWPWREN_DISABLE     = 0,  /*!< Normal operation                 */
    BUCKCTL_BIT_LOWPWREN_ENABLE      = 1,  /*!< Shut-down over-current monitor   */
} BUCKCTL_BIT_LOWPWREN;

#define BUCKCTL_ALL_LOWPWREN_DISABLE     ((0x0UL) << BUCKCTL_ALL_LOWPWREN_Pos)
#define BUCKCTL_ALL_LOWPWREN_ENABLE      ((0x1UL) << BUCKCTL_ALL_LOWPWREN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BUCKCTL         FRCPWM
 *  @access
 *  @brief      Force BUCK operates in PWM mode
 */
#define BUCKCTL_ALL_FRCPWM_Pos (5)
#define BUCKCTL_ALL_FRCPWM_Msk (0x1UL << BUCKCTL_ALL_FRCPWM_Pos)

typedef enum
{
    BUCKCTL_BIT_FRCPWM_NO_EFFECT     = 0,  /*!< BUCK's mode is controlled by the circuits   */
    BUCKCTL_BIT_FRCPWM_FORCE         = 1,  /*!< BUCK is forced to operate in PWM mode       */
} BUCKCTL_BIT_FRCPWM;

#define BUCKCTL_ALL_FRCPWM_NO_EFFECT     ((0x0UL) << BUCKCTL_ALL_FRCPWM_Pos)
#define BUCKCTL_ALL_FRCPWM_FORCE         ((0x1UL) << BUCKCTL_ALL_FRCPWM_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              BUCKCTL         FREQSEL
 *  @access
 *  @brief      BUCKG switching frequency select
 */
#define BUCKCTL_ALL_FREQSEL_Pos (6)
#define BUCKCTL_ALL_FREQSEL_Msk (0x3UL << BUCKCTL_ALL_FREQSEL_Pos)

typedef enum
{
    BUCKCTL_BIT_FREQSEL_400_kHz      = 0,  /*!< 400kHz   */
    BUCKCTL_BIT_FREQSEL_600_kHz      = 1,  /*!< 600kHz   */
    BUCKCTL_BIT_FREQSEL_1200_kHz     = 2,  /*!< 1.2MHz   */
    BUCKCTL_BIT_FREQSEL_2400_kHz     = 3,  /*!< 2.4MHz   */
} BUCKCTL_BIT_FREQSEL;

#define BUCKCTL_ALL_FREQSEL_400_kHz      ((0x0UL) << BUCKCTL_ALL_FREQSEL_Pos)
#define BUCKCTL_ALL_FREQSEL_600_kHz      ((0x1UL) << BUCKCTL_ALL_FREQSEL_Pos)
#define BUCKCTL_ALL_FREQSEL_1200_kHz     ((0x2UL) << BUCKCTL_ALL_FREQSEL_Pos)
#define BUCKCTL_ALL_FREQSEL_2400_kHz     ((0x3UL) << BUCKCTL_ALL_FREQSEL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              SSCTL           EN
 *  @access
 *  @brief      BUCK spread-spectrum enable
 */
#define SSCTL_ALL_EN_Pos (0)
#define SSCTL_ALL_EN_Msk (0x1UL << SSCTL_ALL_EN_Pos)

typedef enum
{
    SSCTL_BIT_EN_DISABLE     = 0,  /*!< Disable   */
    SSCTL_BIT_EN_ENABLE      = 1,  /*!< Enable    */
} SSCTL_BIT_EN;

#define SSCTL_ALL_EN_DISABLE     ((0x0UL) << SSCTL_ALL_EN_Pos)
#define SSCTL_ALL_EN_ENABLE      ((0x1UL) << SSCTL_ALL_EN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              SSCTL           AMP
 *  @access
 *  @brief      BUCK spread-spectrum amplitude
 */
#define SSCTL_ALL_AMP_Pos (1)
#define SSCTL_ALL_AMP_Msk (0x3UL << SSCTL_ALL_AMP_Pos)

typedef enum
{
    SSCTL_BIT_AMP_192_TO_360     = 0,  /*!< Cap code is from 192 to 360   */
    SSCTL_BIT_AMP_171_TO_341     = 1,  /*!< Cap code is from 171 to 341   */
    SSCTL_BIT_AMP_128_TO_384     = 2,  /*!< Cap code is from 128 to 384   */
    SSCTL_BIT_AMP_0_TO_511       = 3,  /*!< Cap code is from 0 to 511     */
} SSCTL_BIT_AMP;

#define SSCTL_ALL_AMP_192_TO_360     ((0x0UL) << SSCTL_ALL_AMP_Pos)
#define SSCTL_ALL_AMP_171_TO_341     ((0x1UL) << SSCTL_ALL_AMP_Pos)
#define SSCTL_ALL_AMP_128_TO_384     ((0x2UL) << SSCTL_ALL_AMP_Pos)
#define SSCTL_ALL_AMP_0_TO_511       ((0x3UL) << SSCTL_ALL_AMP_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              SSCTL           PRD
 *  @access
 *  @brief      BUCK spread-spectrum period
 */
#define SSCTL_ALL_PRD_Pos (3)
#define SSCTL_ALL_PRD_Msk (0x1UL << SSCTL_ALL_PRD_Pos)

typedef enum
{
    SSCTL_BIT_PRD_1X     = 0,  /*!< Normal period, which is 2 x BUCKGSSAMP clocks     */
    SSCTL_BIT_PRD_2X     = 1,  /*!< Twice the period, which is 4x BUCKGSSAMP clocks   */
} SSCTL_BIT_PRD;

#define SSCTL_ALL_PRD_1X     ((0x0UL) << SSCTL_ALL_PRD_Pos)
#define SSCTL_ALL_PRD_2X     ((0x1UL) << SSCTL_ALL_PRD_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVCTL         EN
 *  @access
 *  @brief      Pre-driver enable
 *              This bit is writable only when CTLKEY=0x99
 */
#define PDRVCTL_ALL_EN_Pos (0)
#define PDRVCTL_ALL_EN_Msk (0x1UL << PDRVCTL_ALL_EN_Pos)

typedef enum
{
    PDRVCTL_BIT_EN_DISABLE     = 0,  /*!< Disable   */
    PDRVCTL_BIT_EN_ENABLE      = 1,  /*!< Enable    */
} PDRVCTL_BIT_EN;

#define PDRVCTL_ALL_EN_DISABLE     ((0x0UL) << PDRVCTL_ALL_EN_Pos)
#define PDRVCTL_ALL_EN_ENABLE      ((0x1UL) << PDRVCTL_ALL_EN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVCTL         TZ0EN
 *  @access
 *  @brief      Enable TZ0 mask on pre-driver enable so that the pre-driver is self-disabled upon
 *              PDRVTZ0 event.
 *              This bit is writable only when CTLKEY=0x99
 */
#define PDRVCTL_ALL_TZ0EN_Pos (1)
#define PDRVCTL_ALL_TZ0EN_Msk (0x1UL << PDRVCTL_ALL_TZ0EN_Pos)

typedef enum
{
    PDRVCTL_BIT_TZ0EN_DISABLE     = 0,  /*!< PDRVTZ0 event will not affect the pre-driver operation   */
    PDRVCTL_BIT_TZ0EN_ENABLE      = 1,  /*!< Pre-driver is immediatedly disabled upon PDRVTZ0 event   */
} PDRVCTL_BIT_TZ0EN;

#define PDRVCTL_ALL_TZ0EN_DISABLE     ((0x0UL) << PDRVCTL_ALL_TZ0EN_Pos)
#define PDRVCTL_ALL_TZ0EN_ENABLE      ((0x1UL) << PDRVCTL_ALL_TZ0EN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVCTL         TZ1EN
 *  @access
 *  @brief      Enable TZ1 mask on pre-driver enable so that the pre-driver is self-disabled upon
 *              PDRVTZ1 event
 *              This bit is writable only when CTLKEY=0x99
 */
#define PDRVCTL_ALL_TZ1EN_Pos (2)
#define PDRVCTL_ALL_TZ1EN_Msk (0x1UL << PDRVCTL_ALL_TZ1EN_Pos)

typedef enum
{
    PDRVCTL_BIT_TZ1EN_DISABLE     = 0,  /*!< PDRVTZ1 event will not affect the pre-driver operation   */
    PDRVCTL_BIT_TZ1EN_ENABLE      = 1,  /*!< Pre-driver is immediatedly disabled upon PDRVTZ1 event   */
} PDRVCTL_BIT_TZ1EN;

#define PDRVCTL_ALL_TZ1EN_DISABLE     ((0x0UL) << PDRVCTL_ALL_TZ1EN_Pos)
#define PDRVCTL_ALL_TZ1EN_ENABLE      ((0x1UL) << PDRVCTL_ALL_TZ1EN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVCTL         CPPROTEN
 *  @access
 *  @brief      Pre-driver charge-pump protection enable
 */
#define PDRVCTL_ALL_CPPROTEN_Pos (3)
#define PDRVCTL_ALL_CPPROTEN_Msk (0x1UL << PDRVCTL_ALL_CPPROTEN_Pos)

typedef enum
{
    PDRVCTL_BIT_CPPROTEN_DISABLE     = 0,  /*!< Disable                                                      */
    PDRVCTL_BIT_CPPROTEN_ENABLE      = 1,  /*!< Enable so that charge-pump will be disconnected upon fault   */
} PDRVCTL_BIT_CPPROTEN;

#define PDRVCTL_ALL_CPPROTEN_DISABLE     ((0x0UL) << PDRVCTL_ALL_CPPROTEN_Pos)
#define PDRVCTL_ALL_CPPROTEN_ENABLE      ((0x1UL) << PDRVCTL_ALL_CPPROTEN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVCTL         NOVWIN
 *  @access
 *  @brief      Pre-driver non-overlap time window size
 */
#define PDRVCTL_ALL_NOVWIN_Pos (4)
#define PDRVCTL_ALL_NOVWIN_Msk (0x1UL << PDRVCTL_ALL_NOVWIN_Pos)

typedef enum
{
    PDRVCTL_BIT_NOVWIN_48_NS     = 0,  /*!< 48ns   */
    PDRVCTL_BIT_NOVWIN_96_NS     = 1,  /*!< 96ns   */
} PDRVCTL_BIT_NOVWIN;

#define PDRVCTL_ALL_NOVWIN_48_NS     ((0x0UL) << PDRVCTL_ALL_NOVWIN_Pos)
#define PDRVCTL_ALL_NOVWIN_96_NS     ((0x1UL) << PDRVCTL_ALL_NOVWIN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVCTL         FRCCFM
 *  @access
 *  @brief      Pre-driver force confirmation
 *              This bit is writable only when CTLKEY=0xAC
 */
#define PDRVCTL_ALL_FRCCFM_Pos (6)
#define PDRVCTL_ALL_FRCCFM_Msk (0x1UL << PDRVCTL_ALL_FRCCFM_Pos)

typedef enum
{
    PDRVCTL_BIT_FRCCFM_NO_EFFECT     = 0,  /*!< Normal handshake
                                                Always readback 0 when CTLKEY is not 0xAC          */
    PDRVCTL_BIT_FRCCFM_FORCE         = 1,  /*!< Force confirmation, disabling built-in handshake   */
} PDRVCTL_BIT_FRCCFM;

#define PDRVCTL_ALL_FRCCFM_NO_EFFECT     ((0x0UL) << PDRVCTL_ALL_FRCCFM_Pos)
#define PDRVCTL_ALL_FRCCFM_FORCE         ((0x1UL) << PDRVCTL_ALL_FRCCFM_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVCTL         CPCONEN
 *  @access
 *  @brief      Pre-driver charge-pump connection enable
 *              This bit is writable only when CTLKEY=0xAC
 */
#define PDRVCTL_ALL_CPCONEN_Pos (7)
#define PDRVCTL_ALL_CPCONEN_Msk (0x1UL << PDRVCTL_ALL_CPCONEN_Pos)

typedef enum
{
    PDRVCTL_BIT_CPCONEN_DISABLE     = 0,  /*!< Disable
                                               Always readback 0 when CTLKEY is not 0xAC   */
    PDRVCTL_BIT_CPCONEN_ENABLE      = 1,  /*!< Enable                                      */
} PDRVCTL_BIT_CPCONEN;

#define PDRVCTL_ALL_CPCONEN_DISABLE     ((0x0UL) << PDRVCTL_ALL_CPCONEN_Pos)
#define PDRVCTL_ALL_CPCONEN_ENABLE      ((0x1UL) << PDRVCTL_ALL_CPCONEN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVOCCTL       OCTH
 *  @access
 *  @brief      Pre-driver over-current monitor threshold
 */
#define PDRVOCCTL_ALL_OCTH_Pos (0)
#define PDRVOCCTL_ALL_OCTH_Msk (0xFUL << PDRVOCCTL_ALL_OCTH_Pos)

typedef enum
{
    PDRVOCCTL_BIT_OCTH_0dot15_V     = 0,  /*!< Vds threshold=0.15V   */
    PDRVOCCTL_BIT_OCTH_0dot3_V      = 1,  /*!< Vds threshold=0.3V    */
    PDRVOCCTL_BIT_OCTH_0dot45_V     = 2,  /*!< Vds threshold=0.45V   */
    PDRVOCCTL_BIT_OCTH_0dot6_V      = 3,  /*!< Vds threshold=0.6V    */
    PDRVOCCTL_BIT_OCTH_0dot75_V     = 4,  /*!< Vds threshold=0.75V   */
    PDRVOCCTL_BIT_OCTH_0dot9_V      = 5,  /*!< Vds threshold=0.9V    */
    PDRVOCCTL_BIT_OCTH_1dot05_V     = 6,  /*!< Vds threshold=1.05V   */
    PDRVOCCTL_BIT_OCTH_1dot2_V      = 7,  /*!< Vds threshold=1.2V    */
    PDRVOCCTL_BIT_OCTH_1dot35_V     = 8,  /*!< Vds threshold=1.35V   */
    PDRVOCCTL_BIT_OCTH_1dot5_V      = 9,  /*!< Vds threshold=1.5V    */
    PDRVOCCTL_BIT_OCTH_1dot65_V     = 10,  /*!< Vds threshold=1.65V   */
    PDRVOCCTL_BIT_OCTH_1dot8_V      = 11,  /*!< Vds threshold=1.8V    */
    PDRVOCCTL_BIT_OCTH_1dot95_V     = 12,  /*!< Vds threshold=1.95V   */
    PDRVOCCTL_BIT_OCTH_2dot1_V      = 13,  /*!< Vds threshold=2.1V    */
    PDRVOCCTL_BIT_OCTH_2dot25_V     = 14,  /*!< Vds threshold=2.25V   */
    PDRVOCCTL_BIT_OCTH_2dot4_V      = 15,  /*!< Vds threshold=2.4V    */
} PDRVOCCTL_BIT_OCTH;

#define PDRVOCCTL_ALL_OCTH_0dot15_V     ((0x00UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_0dot3_V      ((0x01UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_0dot45_V     ((0x02UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_0dot6_V      ((0x03UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_0dot75_V     ((0x04UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_0dot9_V      ((0x05UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_1dot05_V     ((0x06UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_1dot2_V      ((0x07UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_1dot35_V     ((0x08UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_1dot5_V      ((0x09UL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_1dot65_V     ((0x0AUL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_1dot8_V      ((0x0BUL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_1dot95_V     ((0x0CUL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_2dot1_V      ((0x0DUL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_2dot25_V     ((0x0EUL) << PDRVOCCTL_ALL_OCTH_Pos)
#define PDRVOCCTL_ALL_OCTH_2dot4_V      ((0x0FUL) << PDRVOCCTL_ALL_OCTH_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVOCCTL       DGWIN
 *  @access
 *  @brief      Pre-driver over-current monitor filtering window size
 */
#define PDRVOCCTL_ALL_DGWIN_Pos (4)
#define PDRVOCCTL_ALL_DGWIN_Msk (0x3UL << PDRVOCCTL_ALL_DGWIN_Pos)

typedef enum
{
    PDRVOCCTL_BIT_DGWIN_0dot4_US     = 0,  /*!< 0.4us   */
    PDRVOCCTL_BIT_DGWIN_0dot8_US     = 1,  /*!< 0.8us   */
    PDRVOCCTL_BIT_DGWIN_1dot6_US     = 2,  /*!< 1.6us   */
    PDRVOCCTL_BIT_DGWIN_3dot2_US     = 3,  /*!< 3.2us   */
} PDRVOCCTL_BIT_DGWIN;

#define PDRVOCCTL_ALL_DGWIN_0dot4_US     ((0x0UL) << PDRVOCCTL_ALL_DGWIN_Pos)
#define PDRVOCCTL_ALL_DGWIN_0dot8_US     ((0x1UL) << PDRVOCCTL_ALL_DGWIN_Pos)
#define PDRVOCCTL_ALL_DGWIN_1dot6_US     ((0x2UL) << PDRVOCCTL_ALL_DGWIN_Pos)
#define PDRVOCCTL_ALL_DGWIN_3dot2_US     ((0x3UL) << PDRVOCCTL_ALL_DGWIN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              PDRVOCCTL       BLANKWIN
 *  @access
 *  @brief      Pre-driver over-current monitor blanking window size
 */
#define PDRVOCCTL_ALL_BLANKWIN_Pos (6)
#define PDRVOCCTL_ALL_BLANKWIN_Msk (0x3UL << PDRVOCCTL_ALL_BLANKWIN_Pos)

typedef enum
{
    PDRVOCCTL_BIT_BLANKWIN_0dot4_US     = 0,  /*!< 0.4us   */
    PDRVOCCTL_BIT_BLANKWIN_0dot8_US     = 1,  /*!< 0.8us   */
    PDRVOCCTL_BIT_BLANKWIN_1dot6_US     = 2,  /*!< 1.6us   */
    PDRVOCCTL_BIT_BLANKWIN_3dot2_US     = 3,  /*!< 3.2us   */
} PDRVOCCTL_BIT_BLANKWIN;

#define PDRVOCCTL_ALL_BLANKWIN_0dot4_US     ((0x0UL) << PDRVOCCTL_ALL_BLANKWIN_Pos)
#define PDRVOCCTL_ALL_BLANKWIN_0dot8_US     ((0x1UL) << PDRVOCCTL_ALL_BLANKWIN_Pos)
#define PDRVOCCTL_ALL_BLANKWIN_1dot6_US     ((0x2UL) << PDRVOCCTL_ALL_BLANKWIN_Pos)
#define PDRVOCCTL_ALL_BLANKWIN_3dot2_US     ((0x3UL) << PDRVOCCTL_ALL_BLANKWIN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              VMONCTL         EN
 *  @access
 *  @brief      Supply voltage monitor enable
 */
#define VMONCTL_ALL_EN_Pos (0)
#define VMONCTL_ALL_EN_Msk (0x1UL << VMONCTL_ALL_EN_Pos)

typedef enum
{
    VMONCTL_BIT_EN_DISABLE     = 0,  /*!< Disable   */
    VMONCTL_BIT_EN_ENABLE      = 1,  /*!< Enable    */
} VMONCTL_BIT_EN;

#define VMONCTL_ALL_EN_DISABLE     ((0x0UL) << VMONCTL_ALL_EN_Pos)
#define VMONCTL_ALL_EN_ENABLE      ((0x1UL) << VMONCTL_ALL_EN_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              VMONCTL         TPSEL
 *  @access
 *  @brief      Test point select; cannot use at the same time with SYSCTL.VBATDIVEN
 */
#define VMONCTL_ALL_TPSEL_Pos (1)
#define VMONCTL_ALL_TPSEL_Msk (0x1UL << VMONCTL_ALL_TPSEL_Pos)

typedef enum
{
    VMONCTL_BIT_TPSEL_VDDG_DIV_20     = 0,  /*!< VDDG/20   */
    VMONCTL_BIT_TPSEL_VBAT_DIV_50     = 1,  /*!< VBAT/50   */
} VMONCTL_BIT_TPSEL;

#define VMONCTL_ALL_TPSEL_VDDG_DIV_20     ((0x0UL) << VMONCTL_ALL_TPSEL_Pos)
#define VMONCTL_ALL_TPSEL_VBAT_DIV_50     ((0x1UL) << VMONCTL_ALL_TPSEL_Pos)



/**
 *  @hierarchy       Module          Register        Bitfield
 *                   HV              CTLKEY          KEY
 *  @access
 *  @brief      Key for changing critical settings
 */
#define CTLKEY_ALL_KEY_Pos (0)
#define CTLKEY_ALL_KEY_Msk (0xFFUL << CTLKEY_ALL_KEY_Pos)

typedef enum
{
    CTLKEY_BIT_KEY_LOCKKEY     = 0,  /*!< Lock all critical settings                                            */
    CTLKEY_BIT_KEY_SRSTALL     = 119,  /*!< Allow to soft-reset all registers including those xxxTRIM registers   */
    CTLKEY_BIT_KEY_BUCKEN      = 136,  /*!< Allow to write BUCKCTL[2:0]                                           */
    CTLKEY_BIT_KEY_PDRVEN      = 153,  /*!< Allow to write PDRVCTL[2:0]                                           */
    CTLKEY_BIT_KEY_ENGR        = 172,  /*!< Allow to write engineering registers                                  */
    CTLKEY_BIT_KEY_DPSLP       = 187,  /*!< Allow to response to deep-sleep command                               */
} CTLKEY_BIT_KEY;

#define CTLKEY_ALL_KEY_LOCKKEY     ((0x000UL) << CTLKEY_ALL_KEY_Pos)
#define CTLKEY_ALL_KEY_SRSTALL     ((0x077UL) << CTLKEY_ALL_KEY_Pos)
#define CTLKEY_ALL_KEY_BUCKEN      ((0x088UL) << CTLKEY_ALL_KEY_Pos)
#define CTLKEY_ALL_KEY_PDRVEN      ((0x099UL) << CTLKEY_ALL_KEY_Pos)
#define CTLKEY_ALL_KEY_ENGR        ((0x0ACUL) << CTLKEY_ALL_KEY_Pos)
#define CTLKEY_ALL_KEY_DPSLP       ((0x0BBUL) << CTLKEY_ALL_KEY_Pos)




#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* HV_BITFIELD_H */


/******************* (C) COPYRIGHT 2021 SPINTROL LIMITED ***** END OF FILE ****/
